%define 	name 		sword
%define 	version 	1.5.5
%define		release 	5mdk
%define		lib_name_orig 	libsword
%define		lib_major 	1
#define		lib_name 	%mklibname %name %lib_major
%define		lib_name	lib%{name}%{lib_major}

Summary:	The SWORD Project framework for manipulating Bible texts
Summary(cs): 	Programy pro studium Bible a vvojov nstroje.
Summary(sk): 	Programy pre tdium Biblie a vvojov nstroje.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.crosswire.org
Source0: 	http://www.crosswire.org/download/ftpmirror.tmp/pub/sword/source/v1.5/%{name}-%{version}.tar.bz2
Source1: 	ftp://ftp.zedz.net/pub/crypto/crypto/LIBS/sapphire/sapphire.zip 
Source2:	sword_icons.tar.bz2
Group: 		System/Libraries
BuildRequires:	zlib-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: 	sword-base
Prefix: 	%{_prefix}


%description
The SWORD Project is an effort to create an ever expanding software package 
for research and study of God and His Word.  The SWORD Framework 
allows easy manipulation of Bible texts, commentaries, lexicons, dictionaries, 
etc.  Many frontends are build using this framework.  An installed module 
set may be shared between any frontend using the framework.

%description -l cs
Snahou projektu SWORD je vytvoit voln (ve smyslu licence OpenSource)
programy, vvojov nstroje a pomcky ke studiu Bible.
Mohou bt instalovny dal, voliteln pdavn moduly: rzn peklady Bible,
komente, vklady a slovnky.

%description -l sk
Cieom projektu SWORD je vytvori von (vo zmysle licencie OpenSource)
programy, vvojov nstroje a pomcky pre tdium Biblie.. Mu sa tie
naintalova alie voliten a prdavn moduly: rzne preklady Biblie,
Biblick komentre, lexikny a slovnky.


#main package (contains *.so.[major].* only)
%package -n %{lib_name}
Summary: 	Main library for sword #(!) summary for main lib RPM only
Group: 		System/Libraries
Requires: 	sword

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with sword.

%package 	-n %{lib_name}-devel
Summary: 	Include files for developing sword applications.
Group: 		System/Libraries
Requires: 	%{lib_name} = %{version}
Provides: 	%{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 

%description -n %{lib_name}-devel
This package contains the headers that programmers 
will need to develop applications which will use the SWORD Bible Framework.

%package -n %{lib_name}-static-devel
Summary: 	Static libs for developing sword applications.
Group: 		System/Libraries
Requires: 	%{lib_name} = %{version} %{lib_name}-devel = %{version}
Provides: 	%{lib_name_orig}-static-devel = %{version}-%{release} %{name}-static-devel = %{version}-%{release} 

%description -n %{lib_name}-static-devel
This package contains the static libraries that programmers 
will need to develop applications which will use the SWORD Bible Framework.


%prep

%setup -q ${name}-%{version} -a2
unzip -d sapphire %{SOURCE1}
cp sapphire/SAPPHIRE.H include/sapphire.h
cp sapphire/SAPPHIRE.CPP src/modules/common/sapphire.cpp

%build
%configure
%make debug=no buildshare=yes ROOT="$RPM_BUILD_ROOT"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

pushd utilities
install -m755 mkfastmod mod2vpl vpl2mod $RPM_BUILD_ROOT/%{_bindir}
popd

mv %{buildroot}/%{_bindir}/*-diatheke %{buildroot}/%{_bindir}/diatheke

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sword.conf
%{_bindir}/*
%{_datadir}/%{name}
%doc README INSTALL LICENSE ChangeLog 
%doc samples doc/*.*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/*.la
%doc doc/api-documentation

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Fri Apr 25 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.5-5mdk
- Buildrequire zlib-devel (thx slbd)

* Thu Apr 24 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.5-4mdk
- Don't provide name in libname package
- Bump release a bit more

* Thu Mar 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.5-2mdk
- cleanups
- ->contrib

* Fri Dec 13 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.5-1mdk9.0_kde3.1
- Compiled for mandrake 9.0 using texstars 3.1rc5 rpm's they also have aafonts enabled.

* Wed Oct 9 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.4-1mdk9.0
- Compiled for mandrake 9.0. 
- This is current cvs as it wouldn't compile with gcc 3.2 before this.
- Fixed files as some of the files changed from 1.5.3. 
- Most notably man is gone now for the api.

* Tue Feb 19 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.3.pre-1mdk
- Compiled on mandrake 8.2 
- first rpm of sword 1.5.3 pre
- removed chetah from build as it doesn't build proper
- added configure to sword build for proper build

* Sun Jan 27 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.2-6mdk
- Added libsword1-static-devel package

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> sword-1.5.2-5mdk
- Updates to newest sources with bug fixes

* Fri Jun 22 2001 Brook Humphrey <bah@webmedic.net> sword-base-1.5.2-1mdk
- Added lib packages to be compliant with mandrake specs

* Mon Apr 30 2001 Brook Humphrey <bah@webmedic.net>
- added more mandrake macros for build
- removed apps for build cvs.20010430. They would not build

* Sun Apr 22 2001 Brook Humphrey <bah@webmedic.net>
- added man pages for api to package
- added html api doc to package

* Wed Mar 14 2001 Brook Humphrey <bah@webmedic.net>
- updated to use mandrake menu sysem

* Mon Feb 19 2001 Brook Humphrey <bah@webmedic.net>
- merged spec files from myself and Petr Kri'tof with this one
- added Petr Kri'tof's and my own comments to this changelog

* Sat Jan 20 2001 Stuart Gathman <stuart@bmsi.com>
- mkfastmod and other utilities

* Thu Nov 30 2000 Stuart Gathman <stuart@bmsi.com>
- cheatah application

* Mon Nov 20 2000 Brook Humphrey <bah@webmedic.net>
- added crypto to sword package
- updated to sword 1.5.1a

* Fri Nov 17 2000 Stuart Gathman <stuart@bmsi.com>
- initial release

* Fri Mar 17 2000 Petr Kritof <Petr@Kristof.CZ>
- Sword 1.5.0 tree adaption

* Wed Mar 1 2000 Petr Kritof <Petr@Kristof.CZ>
- Slovak descriptions added (Viera Valkova <ValkovaV@logica.com>)

* Tue Jan 4 2000 Brook Humphrey <bah@webmedic.net>
- Changed icon to sword.xpm

* Sun Jun 20 1999 Petr Kritof <Petr@Kristof.CZ>
- Compliant with mods.d
